apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

commonLabels:
  overlay: advanced

resources:
  - git@gitlab.com:pieter.vincken1/kustomize-poc.git//simple-example/base
  - git@gitlab.com:pieter.vincken1/kustomize-poc.git//config-secret-example

namespace: advanced-production

patches:
  - path: patches/security-context-patch.yaml
    target:
      group: apps
      version: v1
      kind: Deployment

secretGenerator:
  - name: postgres-secret
    behavior: merge
    literals:
      - "db-host=advanced-host.some-environment.postgres.com"
      - "db-name=advanced-database"
